# gfs_pio_truncate

## Name

gfs_pio_truncate -- truncate a file to a specified length

## Synopsis

    #include <gfarm/gfarm.h>

```char *gfs_pio_truncate``(GFS_File `gf`, file_offset_t `length`);`

## DESCRIPTION

The `gfs_pio_truncate()` function truncates the regular file `gf` to the `length` bytes.

If the file was previously shorter than the length, it is extended, and the extended part is filled by zero bytes.

The file pointer is not changed.

You must specify `GFS_FILE_MODE_WRITE` in opening the file, because it must be open for writing.

## RETURN VALUES

`NULL`

  The function terminated successfully.

`GFARM_ERR_NO_MEMORY`

  Insufficient memory was available.

Others

  An error except the above occurred. The reason is shown by its pointed strings.

## SEE ALSO

gfs_pio_create(3), gfs_pio_open(3)